diff --git a/modules/geolocation_google_places_api/src/Plugin/geolocation/Geocoder/GooglePlacesAPI.php b/modules/geolocation_google_places_api/src/Plugin/geolocation/Geocoder/GooglePlacesAPI.php
index 0be922a..9d40185 100644
--- a/modules/geolocation_google_places_api/src/Plugin/geolocation/Geocoder/GooglePlacesAPI.php
+++ b/modules/geolocation_google_places_api/src/Plugin/geolocation/Geocoder/GooglePlacesAPI.php
@@ -2,6 +2,7 @@
 
 namespace Drupal\geolocation_google_places_api\Plugin\geolocation\Geocoder;
 
+use Drupal\Core\Config\Config;
 use GuzzleHttp\Exception\RequestException;
 use Drupal\Component\Serialization\Json;
 use Drupal\geolocation\GeocoderBase;
@@ -23,6 +24,16 @@ class GooglePlacesAPI extends GeocoderBase {
 
   use GoogleMapsDisplayTrait;
 
+
+   public function __construct(array $configuration, $plugin_id, $plugin_definition, Config $config)
+   {
+     if ($configuration["component_restrictions"]["country"]) {
+       $configuration["component_restrictions"]["country"] =
+         explode(' ', $configuration["component_restrictions"]["country"]);
+     }
+     parent::__construct($configuration, $plugin_id, $plugin_definition, $config);
+   }
+
   /**
    * {@inheritdoc}
    */
@@ -124,7 +135,6 @@ class GooglePlacesAPI extends GeocoderBase {
         ],
       ],
     ]);
-
     if (!empty($this->configuration['component_restrictions'])) {
       foreach ($this->configuration['component_restrictions'] as $component => $restriction) {
         if (empty($restriction)) {
@@ -214,7 +224,18 @@ class GooglePlacesAPI extends GeocoderBase {
       $request_url .= '&key=' . $google_key;
     }
     if (!empty($this->configuration['component_restrictions']['country'])) {
-      $request_url .= '&components=country:' . $this->configuration['component_restrictions']['country'];
+      $countries = $this->configuration['component_restrictions']['country'];
+      if (is_string($countries)) {
+        $request_url .= '&components=country:' . $countries;
+      } elseif (is_array($countries)) {
+        $countries = array_map(
+          function ($item) {
+            return 'country:' . $item;
+          },
+          $countries
+        );
+        $request_url .= '&components=' . implode('|', $countries);
+      }
     }
     if (!empty($this->geolocationSettings->get('google_map_custom_url_parameters')['language'])) {
       $request_url .= '&language=' . $this->geolocationSettings->get('google_map_custom_url_parameters')['language'];
